//+------------------------------------------------------------------+
//|                                                           ma.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"   

extern double Lots=0.01;
extern int StopLoss = 25;
double LastBid, LastAsk, LastMA;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   LastBid = Bid;  LastAsk = Ask;
   LastMA= iMA(NULL, 0, 14, 0, MODE_SMA, PRICE_CLOSE, 0);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  double Price, MA, i;
//----
   MA= iMA(NULL, 0, 14, 0, MODE_SMA, PRICE_CLOSE, 0);
   //Comment("\n","\n","\n","Ask=",Ask,"\n","Bid=",Bid,"\n","MA=",MA,"\n","LastAsk=",LastAsk,"\n","LastBid=",LastBid,"\n","LastMA=",LastMA);
   if (OrdersTotal()!=0) {
      i = OrderSelect(1,SELECT_BY_POS,MODE_TRADES);
      Comment("\n","error is ",GetLastError());
      if (OrderType()==OP_BUY && MA>Bid) 
         OrderClose(OrderTicket(), OrderLots(), Ask, 3, Violet);
      else if (OrderType()==OP_SELL && MA<Bid) 
         OrderClose(OrderTicket(), OrderLots(), Bid, 3, Violet);}
   else if (Ask>MA && LastAsk<LastMA)
      OrderSend(Symbol(),OP_BUY, Lots, Ask, 3, Bid-StopLoss*Point, 0, "My ord#",0,0,Blue);
   else if (Bid<MA && LastBid>LastMA)
      OrderSend(Symbol(),OP_SELL, Lots, Bid, 3, Ask+StopLoss*Point, 0, "My ord#",0,0,Red);
   LastAsk = Ask;  LastBid = Bid;
   LastMA = MA;
   
//----
   return(0);
  }
//+------------------------------------------------------------------+